# List GitHub Deployments API records for a deployment Source: https://docs.orchard.hackclub.com/api/operations/deployments_github_deployments_list/ `GET /apiv1/deployments/{id}/github-deployments` Operation ID: `deployments_github_deployments_list` Auth: authenticated (scope: read) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Responses ### 200: OK ```json { "items": { "additionalProperties": {}, "properties": { "commitSha": { "type": "string" }, "createdAt": { "type": "string" }, "deploymentId": { "type": "string" }, "environment": { "type": "string" }, "environmentUrl": { "type": [ "string", "null" ] }, "githubDeploymentId": { "anyOf": [ { "type": "string" }, { "type": "number" } ] }, "id": { "type": "string" }, "logUrl": { "type": [ "string", "null" ] }, "owner": { "type": "string" }, "ref": { "type": "string" }, "repo": { "type": "string" }, "status": { "type": "string" }, "updatedAt": { "type": "string" } }, "required": [ "id", "deploymentId", "githubDeploymentId", "owner", "repo", "ref", "commitSha", "environment", "status", "createdAt", "updatedAt" ], "type": "object" }, "type": "array" } ```